Subject: bug#36507: 27.0.50; Crash on evaluating invalid UTF-8 byte sequence on MacOS

From: Stefan Kangas <[email-masked]>
Date: Fri, 5 Jul 2019 13:36:34 +0200

YAMAMOTO Mitsuharu <[email-masked]> writes:
> > >   (decode-coding-string "\xE3\x32\x9A\x36" 'chinese-gb18030)
> >
> > I think the issue as such is beyond me, but I can reproduce this every time.
> > Please let me know if you need help testing or more information.
> >
> > Before crash, I get this output:
> > Thread 1 received signal SIGSEGV, Segmentation fault.
> > 0x00007fff8ddbd326 in CFCharacterSetIsLongCharacterMember () from
> > /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
>
> Please try the patch below.

The patch works; I no longer get the crash.  The return value is now:

    "#(" " 0 1 (charset gb18030-4-byte-ext-2))"

Note that the " " is a visually wide white space character that I
can't copy to other programs for some reason.  It is here replaced
with a space.  Not sure if this is expected or not.

Thank you for providing a fix so swiftly.

Best regards,
Stefan Kangas